Web lists-archives.com

Re: gstreamer-1.0/libgstlame.so what is this?




On Mon, 30 Apr 2018 11:34:13 +0900 A_Man_Without_Clue said:

> /tmp/apt-dpkg-install-6Cr5xr/03-gstreamer1.0-plugins-good_1.14.0-4_amd64.deb:
> trying to overwrite
> '/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstlame.so', which is also
> in package gstreamer1.0-plugins-ugly:amd64 1:1.12.3-dmo1

/usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstlame.so belongs only to
gstreamer1.0-plugins-good

You can confirm it via

~$ dpkg -S /usr/lib/x86_64-linux-gnu/gstreamer-1.0/libgstlame.so

Also, checking installed files lists by...

~$dpkg -L gstreamer1.0-plugins-good

and

~$dpkg -L gstreamer1.0-plugins-ugly

reveals that only gstreamer1.0-plugins-good has that file.

So something is bogus with the message you get. What I would have done in this
case was just removing and reinstalling the offending package
(gstreamer1.0-plugins-ugly).

Regards
-- 
Abdullah Ramazanoglu